nisping(1M)

NAME
nisping - send ping to NIS+ servers

SYNOPSIS
/usr/lib/nis/nisping [ -uf ] [ -H hostname ]
[ -r | directory ]
/usr/lib/nis/nisping -C [ -a ] [ -H hostname ] [ directory ]

DESCRIPTION

In the first SYNOPSIS line, the nisping command sends a ``ping'' to all replicas of a NIS+ directory. Once a replica receives a ping, it will check with the master server for the directory to get updates. Prior to pinging the replicas, this command attempts to determine the last update "seen" by a replica and the last update logged by the master. If these two timestamps are the same, the ping is not sent. The -f (force) option will override this feature.

Under normal circumstances, NIS+ replica servers get the new information from the master NIS+ server within a short time. Therefore, there should not be any need to use nisping.

In the second SYNOPSIS line, the nisping -C command sends a checkpoint request to the servers. If no directory is specified, the home domain, as returned by nisdefaults(1), is checkpointed. If all directories, served by a given server, have to be checkpointed, then use the -a option.

On receiving a checkpoint request, the servers would commit all the updates for the given directory from the table log files to the database files. This command, if sent to the master server, will also send updates to the replicas if they are out of date. This option is needed because the database log files for NIS+ are not automatically checkpointed. nisping should be used at frequent intervals (such as once a day) to checkpoint the NIS+ database log files. This command can be added to the crontab(1) file. If the database log files are not checkpointed, their sizes will continue to grow.

OPTIONS

-a  Checkpoint all directories on the server.

-C  Send a request to checkpoint, rather than a ping, to each server. The servers schedule to commit all the transactions to stable storage.

-H hostname
    Only the host hostname is sent the ping, checked for an update time, or checkpointed.

-f  Force a ping, even though the timestamps indicate there is no reason to do so. This option is useful for debugging.

-r  This option can be used to update or get status about the root object from the root servers, especially when new root replicas are added or deleted from the list.

    If used without -u option, -r will send a ping request to the servers serving the root domain. When the replicas receive a ping, they will update their root object if needed.

    The -r option can be used with all other options except with the -C option; the root object need not be checkpointed.

-u  Display the time of the last update; no servers are sent a ping.

RETURN VALUES

-1  No servers were contacted, or the server specified by the -H switch could not be contacted.

0   Success.

1   Some, but not all, servers were successfully contacted.

EXAMPLES

This example pings all replicas of the default domain:

    example% nisping

Note that this example will not ping the the org_dir and groups_dir subdirectories within this domain.

This example pings the server example which is a replica of the org_dir.foo.com. directory:

    example% nisping -H example org_dir.foo.com.

This example checkpoints all servers of the org_dir.bar.com. directory.

    example% nisping -C org_dir.bar.com.

ENVIRONMENT

NIS_PATH
    If this variable is set, and the NIS+ directory name is not fully qualified, each directory specified will be searched until the directory is found.

ATTRIBUTES
See attributes(5) for descriptions of the following attributes:

ATTRIBUTE TYPE | ATTRIBUTE VALUE
Availability | SUNWnisu

SEE ALSO
crontab(1), nisdefaults(1), nislog(1M), nisfiles(4), attributes(5)

NOTES

If the server specified by the -H option does not serve the directory, then no ping is sent.